package com.xlht.xlhtproject.mapper;

import java.util.List;

import com.xlht.xlhtproject.domain.SmartAdd;
import com.xlht.xlhtproject.domain.TShuju1;

/**
 * 入库数据_5分钟间隔Mapper接口
 * 
 * @author slibra
 * @date 2024-09-19
 */
public interface TShuju1Mapper 
{
    /**
     * 查询入库数据_5分钟间隔
     * 
     * @param ID 入库数据_5分钟间隔主键
     * @return 入库数据_5分钟间隔
     */
    public TShuju1 selectTShuju1ByID(Long ID);

    /**
     * 查询入库数据_5分钟间隔列表
     * 
     * @param tShuju1 入库数据_5分钟间隔
     * @return 入库数据_5分钟间隔集合
     */
    public List<TShuju1> selectTShuju1List(TShuju1 tShuju1);

    /**
     * 新增入库数据_5分钟间隔
     * 
     * @param tShuju1 入库数据_5分钟间隔
     * @return 结果
     */
    public int insertTShuju1(TShuju1 tShuju1);

    /**
     * 修改入库数据_5分钟间隔
     * 
     * @param tShuju1 入库数据_5分钟间隔
     * @return 结果
     */
    public int updateTShuju1(TShuju1 tShuju1);

    /**
     * 删除入库数据_5分钟间隔
     * 
     * @param ID 入库数据_5分钟间隔主键
     * @return 结果
     */
    public int deleteTShuju1ByID(Long ID);

    /**
     * 批量删除入库数据_5分钟间隔
     * 
     * @param IDs 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTShuju1ByIDs(Long[] IDs);

    //获取最新的一条数据，并且是按照之前的返回的对象处理【SQL 别名】
    SmartAdd getNewestData();
}
